Subject: Re: [PATCH -next] net: NET_DSA depends on NET_ETHERNET

From: David Miller <[email-masked]>
Date: Tue, 20 Jul 2010 17:45:30 -0700 (PDT)

From: Randy Dunlap <[email-masked]>
Date: Tue, 20 Jul 2010 16:03:32 -0700

> From: Randy Dunlap <[email-masked]>
> 
> NET_DSA code selects and uses PHYLIB code, but PHYLIB depends on
> NET_ETHERNET.  However, "select" does not follow kconfig dependencies,
> so explicitly list that requirement here instead.
> 
> Fixes this kconfig warning:
> 
> warning: (NET_DSA && NET && EXPERIMENTAL && !S390 ...) selects PHYLIB which has unmet direct dependencies (!S390 && NET_ETHERNET)
> 
> Signed-off-by: Randy Dunlap <[email-masked]>

Randy, this has been fixed in net-2.6 for some time now.

And I'm pretty sure I sent a copy of this to you when I
checked it in :-)

--------------------
>>From 336a283b9cbe47748ccd68fd8c5158f67cee644b Mon Sep 17 00:00:00 2001
From: David S. Miller <[email-masked]>
Date: Mon, 12 Jul 2010 20:03:42 -0700
Subject: [PATCH 09/24] dsa: Fix Kconfig dependencies.

Based upon a report by Randy Dunlap.

DSA needs PHYLIB, but PHYLIB needs NET_ETHERNET.  So, in order
to select PHYLIB we have to make DSA depend upon NET_ETHERNET.

Signed-off-by: David S. Miller <[email-masked]>
---
 net/dsa/Kconfig |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/net/dsa/Kconfig b/net/dsa/Kconfig
index c51b554..1120178 100644
--- a/net/dsa/Kconfig
+++ b/net/dsa/Kconfig
@@ -1,7 +1,7 @@
 menuconfig NET_DSA
 	bool "Distributed Switch Architecture support"
 	default n
-	depends on EXPERIMENTAL && !S390
+	depends on EXPERIMENTAL && NET_ETHERNET && !S390
 	select PHYLIB
 	---help---
 	  This allows you to use hardware switch chips that use
-- 
1.7.1.1